



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>使用CSS、JS的几种方法</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">使用CSS、JS的几种方法</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-16 22:57:05 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>引用CSS到html网页里的4种方法</h2>
<div>1、行内式<br></div>
<div>在标记的style属性中设定CSS样式，这种方式本质上没有体现出CSS的优势，因此不推荐使用<br></div>
<div>&nbsp; &nbsp;&nbsp;&lt;div style="width:100px;height:100px;background:red;"&gt;&lt;/div&gt;<br></div>
<div><br></div>
<div>2、嵌入式（内嵌式）</div>
<div>嵌入式则将对页面中各种元素的设置集中写在&lt;head&gt;标签内的&lt;style&gt;标签中。</div>
<div>对于单一的网页，这种方法很方便，但是对于一个包含很多页面的网站，如果每个页面都以内嵌方式设置各自的样式，就失去了CSS带来的巨大优点。<br></div>
<div>
<div>&lt;style type="text/css"&gt;</div>
<div>&nbsp;&nbsp;&nbsp; p{</div>
<div>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; color:red;</div>
<div>&nbsp;&nbsp;&nbsp; }</div>
<div>&lt;/style&gt; &nbsp;</div>
</div>
<div><br></div>
<div>
<div>3、导入式</div>
<div>导入式和链接式的目的都是将一个独立的CSS文件引入HTML文件，二者的区别在于其语法规则不一致。</div>
</div>
<div>
<div>&lt;style type="text/css"&gt;</div>
<div>&nbsp; &nbsp;&nbsp;@import"mystyle.css";</div>
<div>&lt;/style&gt;</div>
</div>
<div><br></div>
<div>
<div></div>
<div>4、链接式（外链式）</div>
<div>
<div>此方法不需要style标签，而是直接通过link一个样式来引用外部样式。一般推荐使用link来引用外部的css样式方法。</div>
</div>
<div>&nbsp; &nbsp;&nbsp;&lt;link href="mystyle.css" rel="stylesheet" type="text/css" /&gt;</div>
</div>
<div><br></div>
<div>
<h2>使用link来引用外部的css的优势</h2>
<div>
<ul><li>1、有利于SEO，使用此方法引用外部css文件，将使得html页面的源代码少很多比起直接加入css样式，因为搜索引擎蜘蛛爬行网页的时候是不爬行css文件的，这样使得html源代码很少，使得蜘蛛爬行更快，处理更少，增大了此网页的权重，有利于排名。</li>
<li>2、节约html使得浏览器下载网页时候分开线程了，就像加载一个页面同时有两条线在打开一个页面道理，使得网页打开格外快。（用户浏览此网页的时候html源代码和css文件同时下载，使得更加快速）</li>
<li>3、修改网页的样式方便，只需修改css样式即可修改网页的美工样式，如果在网站项目中此方法，因整站应用了共用的css基本样式，这样修改整站风格样式根据快捷方便。</li></ul>
<div><br></div>
<h2>JS代码也有类似的两种写法</h2>
<div>1、行内式</div>
<div>&nbsp; &nbsp;&nbsp;&lt;button onclick="alert('你好吗')"&gt;外双内单&lt;/button&gt;<br></div>
<div>2、嵌入式（内嵌式）</div>
<div>
<div>&nbsp; &nbsp;&nbsp;&lt;script&gt;</div>
<div>&nbsp; &nbsp; &nbsp; &nbsp; …</div>
<div>&nbsp;&nbsp;&nbsp; &lt;/script&gt;</div>
</div>
<div>3、链接式（外链式）</div>
<div>&nbsp; &nbsp;&nbsp;&lt;script src="my.js" type="text/javascript"&gt;&lt;/script&gt;</div>
<div><br></div>
</div>
</div>
<p><div><a href="http://www.wiz.cn/i/9a26db8f" rel="external nofollow noreferrer">来自为知笔记(Wiz)</a></div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96p2z48.html">javascript的对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93y52w8.html">Learning Play&excl; 2&period;4</a>
		</li>
						<li><a href="https://www.batexi.com/a/390yv5j8.html">php使用file函数、fseek函数读取大文件效率分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/49grj6eq.html">codeforce Pashmak and Buses&lpar;dfs枚举&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd3mz78.html">甲鱼od19篇随笔</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2e32vq.html">PHP模拟POST请求，获取response内容</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ky26j9.html">Expectation maximization - EM算法学习总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1oo4x9.html">Redis操作的封装类</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmr0ee9.html">HDU 5606 tree 并查集</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xn1de8.html">mysql5&period;7的安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1r23g8.html">关于重复记录和外部 ID （CRM导入提示已找到重复的查找引用）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jwe5v8.html">shell脚本查看网络配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oj44dlq.html">Spark集群搭建步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zoev71q.html">javascript 之基本包装类型--04</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kdnp69.html">关于html，css，js三者的加载顺序问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpzm639.html">Go 完整实现版本比较 VersionCompare 函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/960or4y9.html">Linux环境下使用Android NDK编译c&sol;c&plus;&plus;生成可执行文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll35mkq.html">loadrunner     更新中&period;&period;&period;&period;&period;&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/93weerzq.html">c&num;dev操作读取excel方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rgml68.html">python实用库：PrettyTable 学习</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qlm0z6k9.html">PHPCMS get当中使用limit</a>
			</li>
						<li><a href="https://www.batexi.com/a/96owpzn9.html">CVE-2015-1635，MS15-034 漏洞测试</a>
			</li>
						<li><a href="https://www.batexi.com/a/qde4wx79.html">转：USB主机控制器&lpar;Host Controller&rpar;--深入理解</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjopjk9.html">Robot Motion</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1z6v709.html">深入浅出 Java Concurrency &lpar;1&rpar; &colon; J&period;U&period;C的整体认识</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ok0d519.html">Android 批量上传sd卡图片</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdmopl8.html">【HDOJ】2333 Assemble</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1gn6j9.html">【video】m3u8</a>
			</li>
						<li><a href="https://www.batexi.com/a/qde4oej9.html">【转】color颜色十六进制编码大全</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdm0jz8.html">bluetooth记录</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
